Package net.shibboleth.idp.attribute

# Class EmptyAttributeValue

java.lang.Object
net.shibboleth.idp.attribute.EmptyAttributeValue

All Implemented Interfaces:
  `Comparable<IdPAttributeValue>`, `IdPAttributeValue`

public final class EmptyAttributeValue extends Object implements IdPAttributeValue
An `IdPAttributeValue` that is empty. This class defines an enum to represent the various types of empty values that can occur.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EmptyAttributeValue.EmptyType`
Types of empty values.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EmptyAttributeValue`
`NULL`
Instance of null empty attribute value.
`private final EmptyAttributeValue.EmptyType`
`value`
Value of the attribute.
`static final EmptyAttributeValue`
`ZERO_LENGTH`
Instance of zero length attribute value.

## Constructor Summary

Constructors
Constructor
Description
`EmptyAttributeValue(EmptyAttributeValue.EmptyType attributeValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDisplayValue()`
Get a displayable form of the value for user interfaces and similar purposes.
`Object`
`getNativeValue()`
Get the native representation of the value of this attribute.
`EmptyAttributeValue.EmptyType`
`getValue()`
Return the value.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.attribute.IdPAttributeValue

`compareTo`

## Field Details

### NULL

@Nonnull public static final EmptyAttributeValue NULL
Instance of null empty attribute value.

### ZERO_LENGTH

@Nonnull public static final EmptyAttributeValue ZERO_LENGTH
Instance of zero length attribute value.

### value

@Nonnull private final EmptyAttributeValue.EmptyType value
Value of the attribute.

## Constructor Details

### EmptyAttributeValue

public EmptyAttributeValue(@Nonnull @ParameterName(name="attributeValue") EmptyAttributeValue.EmptyType attributeValue)
Constructor.

Parameters:
  `attributeValue` - value of the attribute

## Method Details

### getNativeValue

@Nonnull public Object getNativeValue()
Get the native representation of the value of this attribute.

Specified by:
  `getNativeValue` in interface `IdPAttributeValue`
Returns:
  the attribute value in native format.

### getValue

@Nonnull public EmptyAttributeValue.EmptyType getValue()
Return the value.

Returns:
  the value

### getDisplayValue

@Nonnull @NotEmpty public String getDisplayValue()
Get a displayable form of the value for user interfaces and similar purposes.

Specified by:
  `getDisplayValue` in interface `IdPAttributeValue`
Returns:
  a displayable value

### equals

public boolean equals(@Nullable Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`